
w = warning ('off','all');

sim('AquacultureResponse2.slx')%runs simulation from this script to get Responsetimes at location


a=0; b=0; c=0; d=0;% Starts from zero
for i=1:length(ResponseTime.Data)% Retrives data from data from responsetime
    if ResponseTime.Data(i)> 4000000 %If data from responsetime is larger than 4 million, location 4
        a=a+1;%Gets reponsetime at location. Retrives next responsetime at location
        Salatskjera(a)=ResponseTime.Data(i)-4000000;% In the simulation model in simulink, each location
         %is multiplied with one million. Done to retrive location. Here, you can see Salatskjera,  
         %Salatskjera, substract 4000000, this is to get location
    elseif ResponseTime.Data(i)>3000000 %ørnøya is site nr 3
        b=b+1;
        Ornoya(b)=ResponseTime.Data(i)-3000000; %subtracts 3 million to find location
    elseif ResponseTime.Data(i)>2000000 
        c=c+1;
        Nysto(c)=ResponseTime.Data(i)-2000000;
    else 
        d=d+1;% for habranden. Gets next reponsetime at location
        Habranden(d)=ResponseTime.Data(i)-1000000;
    end
end

% Automatic plot from simulations. This is just for Ørnøya. But changing
%name to one of the other platforms wil give the plots for them
figure
subplot(1,2,1)
cdfplot(Salatskjera)
h1 = cdfplot(Salatskjera);
set(h1,'Color','black');
title('CDF plot of Response Times','fontsize',22)
xlabel('Time[hours]','fontsize',17)
ylabel('F(x)','fontsize',17)


subplot(1,2,2)
histogram(Salatskjera,'Normalization','pdf')
title('Density plot of Response Times','fontsize',22)
xlabel('Time[hours]','fontsize',17)
ylabel('Density','fontsize',17)

        